/// <reference types="node" />
export declare type TBulkOperationStatus = "CANCELED" | "CANCELING" | "COMPLETED" | "CREATED" | "EXPIRED" | "FAILED" | "RUNNING";
export interface IBulkOperation {
    status: TBulkOperationStatus;
    id: string;
    url: string | null;
    errorCode: number;
    objectCount: number;
}
export interface ICurrentBulkOperation {
    currentBulkOperation: IBulkOperation;
}
export interface IBulkOperationRunMutationResponse {
    bulkOperationRunMutation: {
        bulkOperation: IBulkOperation;
    };
}
export interface IBulkOperationRunQueryResponse {
    bulkOperationRunQuery: {
        bulkOperation: IBulkOperation;
    };
}
export declare function bulkQuery(query: string): Promise<any>;
export declare function bulkUpdate({ JSONLReadStream, mutation, }: {
    JSONLReadStream: NodeJS.ReadableStream;
    mutation: string;
}): Promise<IBulkOperationRunMutationResponse>;
export declare function generateJSONLUploadOptions(): Promise<{
    parameters: {
        name: string;
        value: string;
    }[];
    url: string;
}>;
export declare function getBulkUpdateStatus(): Promise<{
    BusyStates: string[];
    status: TBulkOperationStatus;
    id: string;
    url: string | null;
    errorCode: number;
    objectCount: number;
}>;
export declare function getBulkQueryStatus(): Promise<{
    BusyStates: string[];
    status: TBulkOperationStatus;
    id: string;
    url: string | null;
    errorCode: number;
    objectCount: number;
}>;
export declare function getBulkOperationStatus(type: "MUTATION" | "QUERY"): Promise<{
    BusyStates: string[];
    status: TBulkOperationStatus;
    id: string;
    url: string | null;
    errorCode: number;
    objectCount: number;
}>;
