declare type TShopifyIdTypes = "PRODUCT_ID" | "PRODUCT_VARIANT_ID" | "INVENTORY_ITEM" | "LOCATION";
interface IFormartArgs {
    id: number;
    type: TShopifyIdTypes;
}
export declare function formartId({ id, type }: IFormartArgs): string;
export declare function throttle<TInput, TReqReturn>(req: (val: TInput) => Promise<TReqReturn>, reqInputList: TInput[], limit?: number, wait?: number): Promise<PromiseSettledResult<TReqReturn>[]>;
export declare function getThrottleResValues<T>(res: PromiseSettledResult<T>[]): T[];
export declare function getFulfilledResults<T>(res: PromiseSettledResult<T>[]): PromiseFulfilledResult<T>[];
export declare function getShopifyDate(daysFromToday?: number): string;
export {};
